Bug 35819 - openssh-2.5.2p2-1.7 init script fails to start ssh daemon if another ssh connection is open
Summary: openssh-2.5.2p2-1.7 init script fails to start ssh daemon if another ssh conn...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-12 17:07 UTC by Willi Langenberger
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-12 17:08:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Willi Langenberger 2001-04-12 17:07:57 UTC
openssh-2.5.2p2-1.7 has a new init script
this fails to start a the ssh daemon if another sshd process is running
(which is the case if some are logged in via ssh)

example:
login via ssh
/etc/rc.d/init/sshd restart

after that the master ssh daemon does not run.

reason: it is started with "daemon" from "init.d/functions" which in
turn uses "pidofproc" to see if there is already a "sshd" running -- and
finds the "sshd" process from my login session.

Comment 1 Pekka Savola 2001-04-14 18:19:19 UTC
openssh-2.5.2p2-1.7.2 (updated errata) does not use daemon, and should have this fixed.

If not, please reopen.


Note You need to log in before you can comment on or make changes to this bug.